> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /snapshot/spaces/search

> Search and list Snapshot governance spaces (DAOs) by keyword, network and category

**Price:** 1 credit

**💡 AI Hint:** Search and list Snapshot governance spaces (DAOs), ranked by activity. Provide a keyword to match a space name or id, and optionally filter by network chain id and category (defi, social, protocol, gaming, grant, etc.). Each space includes its name, description, network, follower/proposal/vote counts, active proposals, voting configuration, strategies, treasuries, and verification status.



## OpenAPI

````yaml /openapi-filtered.json post /api/snapshot/spaces/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/snapshot/spaces/search:
    post:
      tags:
        - /snapshot
      summary: /snapshot/spaces/search
      description: >-
        Search and list Snapshot governance spaces (DAOs) by keyword, network
        and category


        **Price:** 1 credit


        **💡 AI Hint:** Search and list Snapshot governance spaces (DAOs),
        ranked by activity. Provide a keyword to match a space name or id, and
        optionally filter by network chain id and category (defi, social,
        protocol, gaming, grant, etc.). Each space includes its name,
        description, network, follower/proposal/vote counts, active proposals,
        voting configuration, strategies, treasuries, and verification status.
      operationId: __api_snapshot_spaces_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SnapshotSpacesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SnapshotSpace'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SnapshotSpacesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          description: Max scrapping execution timeout (in seconds)
          default: 300
        count:
          type: integer
          minimum: 1
          description: Max number of spaces to return
        search:
          anyOf:
            - type: string
            - type: 'null'
          description: Keyword to match against space name or id
          examples:
            - uniswap
            - ens
        network:
          anyOf:
            - type: string
            - type: 'null'
          description: Filter by network chain id
          examples:
            - '1'
            - '137'
            - '42161'
        category:
          anyOf:
            - $ref: '#/components/schemas/SnapshotSpaceCategory'
            - type: 'null'
          description: Filter by space category
      type: object
      required:
        - count
    SnapshotSpace:
      properties:
        '@type':
          type: string
          default: SnapshotSpace
        id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        description:
          anyOf:
            - type: string
            - type: 'null'
        network:
          anyOf:
            - type: string
            - type: 'null'
        symbol:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        cover:
          anyOf:
            - type: string
            - type: 'null'
        domain:
          anyOf:
            - type: string
            - type: 'null'
        website_url:
          anyOf:
            - type: string
            - type: 'null'
        terms_url:
          anyOf:
            - type: string
            - type: 'null'
        twitter:
          anyOf:
            - type: string
            - type: 'null'
        github:
          anyOf:
            - type: string
            - type: 'null'
        farcaster:
          anyOf:
            - type: string
            - type: 'null'
        coingecko:
          anyOf:
            - type: string
            - type: 'null'
        email:
          anyOf:
            - type: string
            - type: 'null'
        guidelines:
          anyOf:
            - type: string
            - type: 'null'
        template:
          anyOf:
            - type: string
            - type: 'null'
        members:
          items:
            type: string
          type: array
          default: []
        admins:
          items:
            type: string
          type: array
          default: []
        moderators:
          items:
            type: string
          type: array
          default: []
        categories:
          items:
            type: string
          type: array
          default: []
        follower_count:
          anyOf:
            - type: integer
            - type: 'null'
        proposal_count:
          anyOf:
            - type: integer
            - type: 'null'
        vote_count:
          anyOf:
            - type: integer
            - type: 'null'
        active_proposal_count:
          anyOf:
            - type: integer
            - type: 'null'
        rank:
          anyOf:
            - type: integer
            - type: 'null'
        follower_count_7d:
          anyOf:
            - type: integer
            - type: 'null'
        proposal_count_1d:
          anyOf:
            - type: integer
            - type: 'null'
        proposal_count_7d:
          anyOf:
            - type: integer
            - type: 'null'
        proposal_count_30d:
          anyOf:
            - type: integer
            - type: 'null'
        vote_count_7d:
          anyOf:
            - type: integer
            - type: 'null'
        min_score:
          anyOf:
            - type: number
            - type: 'null'
        only_members:
          anyOf:
            - type: boolean
            - type: 'null'
        is_verified:
          anyOf:
            - type: boolean
            - type: 'null'
        is_flagged:
          anyOf:
            - type: boolean
            - type: 'null'
        is_hibernated:
          anyOf:
            - type: boolean
            - type: 'null'
        is_turbo:
          anyOf:
            - type: boolean
            - type: 'null'
        is_private:
          anyOf:
            - type: boolean
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        voting:
          anyOf:
            - $ref: '#/components/schemas/SnapshotSpaceVoting'
            - type: 'null'
        strategies:
          items:
            $ref: '#/components/schemas/SnapshotStrategyRef'
          type: array
          default: []
        validation:
          anyOf:
            - $ref: '#/components/schemas/SnapshotSpaceValidation'
            - type: 'null'
        vote_validation:
          anyOf:
            - $ref: '#/components/schemas/SnapshotSpaceValidation'
            - type: 'null'
        treasuries:
          items:
            $ref: '#/components/schemas/SnapshotTreasury'
          type: array
          default: []
        parent:
          anyOf:
            - $ref: '#/components/schemas/SnapshotSpaceRef'
            - type: 'null'
        children:
          items:
            $ref: '#/components/schemas/SnapshotSpaceRef'
          type: array
          default: []
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    SnapshotSpaceCategory:
      type: string
      enum:
        - protocol
        - social
        - investment
        - grant
        - service
        - media
        - creator
        - collector
        - ai-agent
        - gaming
        - wallet
        - music
        - layer2
        - defai
        - defi
        - rwa
        - depin
        - meme
    SnapshotSpaceVoting:
      properties:
        '@type':
          type: string
          default: SnapshotSpaceVoting
        delay:
          anyOf:
            - type: integer
            - type: 'null'
        period:
          anyOf:
            - type: integer
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
        quorum:
          anyOf:
            - type: number
            - type: 'null'
        quorum_type:
          anyOf:
            - type: string
            - type: 'null'
        blind:
          anyOf:
            - type: boolean
            - type: 'null'
        privacy:
          anyOf:
            - type: string
            - type: 'null'
        aliased:
          anyOf:
            - type: boolean
            - type: 'null'
        hide_abstain:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
    SnapshotStrategyRef:
      properties:
        '@type':
          type: string
          default: SnapshotStrategyRef
        name:
          type: string
        network:
          anyOf:
            - type: string
            - type: 'null'
        params:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
      type: object
      required:
        - name
    SnapshotSpaceValidation:
      properties:
        '@type':
          type: string
          default: SnapshotSpaceValidation
        name:
          type: string
        params:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
      type: object
      required:
        - name
    SnapshotTreasury:
      properties:
        '@type':
          type: string
          default: SnapshotTreasury
        name:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
        network:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    SnapshotSpaceRef:
      properties:
        '@type':
          type: string
          default: SnapshotSpaceRef
        id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        network:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````